Soft-freeze: NULL pointer dereference strikes again

Bug #1730446 reported by Roman Odaisky on 2017-11-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Artful
High
Unassigned

Bug Description

This is either a resurgence of #1680904 or something close to it. Despite running linux-generic=4.13.0.16.17 where the original issue is supposedly fixed, I got the following error again. The effect is that X becomes completely unresponsive while processes are running, SSH works etc.

Nov 6 14:16:52 zen kernel: [731841.301977] BUG: unable to handle kernel NULL pointer dereference at (null)
Nov 6 14:16:52 zen kernel: [731841.302056] IP: gen8_ppgtt_set_pdpe.isra.39+0x9/0x70 [i915]
Nov 6 14:16:52 zen kernel: [731841.302086] PGD 0
Nov 6 14:16:52 zen kernel: [731841.302086] P4D 0
Nov 6 14:16:52 zen kernel: [731841.302098]
Nov 6 14:16:52 zen kernel: [731841.302121] Oops: 0002 [#1] SMP
Nov 6 14:16:52 zen kernel: [731841.302138] Modules linked in: ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs cpuid ccm rfcomm xt_REDIRECT nf_nat_redirect xt_tcpudp ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink nfnetlink iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype iptable_filter xt_conntrack nf_nat nf_conntrack libcrc32c br_netfilter bridge stp llc xfrm_user xfrm4_tunnel tunnel4 ipcomp xfrm_ipcomp esp4 ah4 af_key xfrm_algo l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) cmac bnep binfmt_misc nls_iso8859_1 intel_spi_platform intel_spi uvcvideo spi_nor btusb mtd btrtl videobuf2_vmalloc videobuf2_memops snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic btbcm snd_hda_intel videobuf2_v4l2 videobuf2_core btintel
Nov 6 14:16:52 zen kernel: [731841.302501] videodev bluetooth snd_hda_codec snd_hda_core media snd_hwdep ecdh_generic snd_pcm arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_seq_midi snd_seq_midi_event kvm_intel kvm snd_rawmidi irqbypass iwlmvm mac80211 intel_cstate snd_seq input_leds intel_rapl_perf asus_nb_wmi joydev iwlwifi asus_wmi sparse_keymap snd_seq_device snd_timer serio_raw cfg80211 intel_pch_thermal snd mei_me mei lpc_ich shpchp soundcore processor_thermal_device intel_soc_dts_iosf dw_dmac acpi_als int3406_thermal dw_dmac_core kfifo_buf snd_soc_sst_acpi snd_soc_sst_match industrialio int3400_thermal asus_wireless mac_hid acpi_thermal_rel acpi_pad spi_pxa2xx_platform int3402_thermal 8250_dw int340x_thermal_zone parport_pc ppdev lp parport ip_tables x_tables autofs4 btrfs xor raid6_pq algif_skcipher
Nov 6 14:16:52 zen kernel: [731841.302859] af_alg dm_crypt hid_generic usbhid hid i915 crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc i2c_algo_bit drm_kms_helper aesni_intel syscopyarea sysfillrect aes_x86_64 sysimgblt fb_sys_fops crypto_simd ahci glue_helper cryptd psmouse drm libahci wmi video sdhci_acpi sdhci
Nov 6 14:16:52 zen kernel: [731841.302993] CPU: 3 PID: 2731 Comm: kmail Tainted: G OE 4.13.0-16-generic #19-Ubuntu
Nov 6 14:16:52 zen kernel: [731841.303035] Hardware name: ASUSTeK COMPUTER INC. UX305LA/UX305LA, BIOS UX305LA.206 08/03/2015
Nov 6 14:16:52 zen kernel: [731841.303077] task: ffff995ae3011740 task.stack: ffffa701c1d80000
Nov 6 14:16:52 zen kernel: [731841.303129] RIP: 0010:gen8_ppgtt_set_pdpe.isra.39+0x9/0x70 [i915]
Nov 6 14:16:52 zen kernel: [731841.303160] RSP: 0018:ffffa701c1d83918 EFLAGS: 00010246
Nov 6 14:16:52 zen kernel: [731841.303187] RAX: 0000000000000000 RBX: ffff995965a3fac0 RCX: ffff995ab249a000
Nov 6 14:16:52 zen kernel: [731841.303222] RDX: 0000000000000000 RSI: ffff995965a3fac0 RDI: ffff995ab249c000
Nov 6 14:16:52 zen kernel: [731841.303257] RBP: ffffa701c1d83988 R08: 0000000000000000 R09: 000000018080007f
Nov 6 14:16:52 zen kernel: [731841.303292] R10: ffffa701c1d838e0 R11: 0000000000000001 R12: 0000000000000000
Nov 6 14:16:52 zen kernel: [731841.303328] R13: 0000000000001000 R14: ffff995ab249c000 R15: ffff995a4f5e0000
Nov 6 14:16:52 zen kernel: [731841.303364] FS: 00007f5350a4fb80(0000) GS:ffff995b4ed80000(0000) knlGS:0000000000000000
Nov 6 14:16:52 zen kernel: [731841.303403] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Nov 6 14:16:52 zen kernel: [731841.303432] CR2: 0000000000000000 CR3: 00000001e646f000 CR4: 00000000003406e0
Nov 6 14:16:52 zen kernel: [731841.303468] Call Trace:
Nov 6 14:16:52 zen kernel: [731841.303504] ? gen8_ppgtt_alloc_pdp+0x305/0x330 [i915]
Nov 6 14:16:52 zen kernel: [731841.303550] gen8_ppgtt_alloc_4lvl+0x56/0x150 [i915]
Nov 6 14:16:52 zen kernel: [731841.303596] ppgtt_bind_vma+0x39/0x80 [i915]
Nov 6 14:16:52 zen kernel: [731841.303640] i915_vma_bind+0x70/0xd0 [i915]
Nov 6 14:16:52 zen kernel: [731841.303684] __i915_vma_do_pin+0x2ec/0x3c0 [i915]
Nov 6 14:16:52 zen kernel: [731841.303729] eb_add_vma+0x2ec/0x3f0 [i915]
Nov 6 14:16:52 zen kernel: [731841.303769] eb_lookup_vmas+0x2dd/0x790 [i915]
Nov 6 14:16:52 zen kernel: [731841.303795] ? mutex_lock_interruptible+0x37/0x40
Nov 6 14:16:52 zen kernel: [731841.303840] ? i915_mutex_lock_interruptible+0x42/0x110 [i915]
Nov 6 14:16:52 zen kernel: [731841.303871] ? __pm_runtime_resume+0x5b/0x80
Nov 6 14:16:52 zen kernel: [731841.303913] i915_gem_do_execbuffer+0x407/0xf70 [i915]
Nov 6 14:16:52 zen kernel: [731841.303941] ? ___slab_alloc+0xef/0x4c0
Nov 6 14:16:52 zen kernel: [731841.303964] ? kvmalloc_node+0x75/0x80
Nov 6 14:16:52 zen kernel: [731841.303985] ? __slab_alloc+0x20/0x40
Nov 6 14:16:52 zen kernel: [731841.304023] i915_gem_execbuffer2+0xc2/0x1e0 [i915]
Nov 6 14:16:52 zen kernel: [731841.304067] ? i915_gem_execbuffer+0x2c0/0x2c0 [i915]
Nov 6 14:16:52 zen kernel: [731841.304103] drm_ioctl_kernel+0x5d/0xb0 [drm]
Nov 6 14:16:52 zen kernel: [731841.304134] drm_ioctl+0x31b/0x3d0 [drm]
Nov 6 14:16:52 zen kernel: [731841.304174] ? i915_gem_execbuffer+0x2c0/0x2c0 [i915]
Nov 6 14:16:52 zen kernel: [731841.304202] ? finish_task_switch+0x7b/0x200
Nov 6 14:16:52 zen kernel: [731841.304226] do_vfs_ioctl+0xa5/0x610
Nov 6 14:16:52 zen kernel: [731841.304246] SyS_ioctl+0x79/0x90
Nov 6 14:16:52 zen kernel: [731841.304264] entry_SYSCALL_64_fastpath+0x1e/0xa9
Nov 6 14:16:52 zen kernel: [731841.304289] RIP: 0033:0x7f534db4bea7
Nov 6 14:16:52 zen kernel: [731841.304308] RSP: 002b:00007ffcde8d1978 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Nov 6 14:16:52 zen kernel: [731841.304345] RAX: ffffffffffffffda RBX: 00007f52a3c4b000 RCX: 00007f534db4bea7
Nov 6 14:16:52 zen kernel: [731841.304381] RDX: 00007ffcde8d19d0 RSI: 0000000040406469 RDI: 0000000000000006
Nov 6 14:16:52 zen kernel: [731841.304416] RBP: 0000000000000000 R08: 00000000000000a5 R09: 0000000000000005
Nov 6 14:16:52 zen kernel: [731841.304451] R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000000
Nov 6 14:16:52 zen kernel: [731841.304486] R13: 00000000013ec000 R14: fffffffffffffff0 R15: 0000000000003200
Nov 6 14:16:52 zen kernel: [731841.304522] Code: c8 48 8d b7 48 05 00 00 48 89 d9 31 d2 e8 60 fc ff ff 48 83 c4 10 5b 41 5c 41 5d 41 5e 41 5f 5d c3 90 0f 1f 44 00 00 45 89 c0 55 <4a> 89 0c c2 48 8b 87 50 03 00 00 48 89 e5 48 83 e8 01 48 c1 e8
Nov 6 14:16:52 zen kernel: [731841.304660] RIP: gen8_ppgtt_set_pdpe.isra.39+0x9/0x70 [i915] RSP: ffffa701c1d83918
Nov 6 14:16:52 zen kernel: [731841.304697] CR2: 0000000000000000
Nov 6 14:16:52 zen kernel: [731841.337647] ---[ end trace 881004638600b6ea ]---

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-generic 4.13.0.16.17
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
CurrentDesktop: KDE
Date: Mon Nov 6 18:11:10 2017
HibernationDevice: RESUME=/dev/mapper/vgzen-swap
InstallationDate: Installed on 2015-12-17 (689 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 064e:9700 Suyin Corp. Asus Integrated Webcam
 Bus 001 Device 003: ID 8087:0a2a Intel Corp.
 Bus 001 Device 002: ID 046d:c52f Logitech, Inc. Unifying Receiver
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. UX305LA
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/linux/vmlinuz-4.13.0-16-generic.efi.signed root=/dev/mapper/vgzen-root ro libata.allow_tpm=1 quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-16-generic N/A
 linux-backports-modules-4.13.0-16-generic N/A
 linux-firmware 1.169
SourcePackage: linux
UpgradeStatus: Upgraded to artful on 2017-10-16 (21 days ago)
dmi.bios.date: 08/03/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX305LA.206
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX305LA
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX305LA.206:bd08/03/2015:svnASUSTeKCOMPUTERINC.:pnUX305LA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX305LA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: UX
dmi.product.name: UX305LA
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Roman Odaisky (to-roma-from-lp) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14-rc8

Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Artful):
importance: Undecided → High
status: New → Confirmed
tags: added: kernel-da-key

This bug was nominated against a series that is no longer supported, ie artful. The bug task representing the artful nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Artful):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers